Your search query "linkto%3A%22PyFltk%22" didn't return any results. Please change some terms and refer to HelpOnSearching for more information.
(!) Consider performing a full-text search with your search terms.

Clear message

pyFLTK: Multi Platform GUI Toolkit

pyFLTK is a Python wrapper for the FLTK GUI toolkit. It utilizes SWIG and wraps the current stable version of FLTK.

GNU/Linux install tips

These notes assume you're using Ubuntu GNU/Linux, your system Python (the one installed in /usr/bin), and your system OpenGL libraries. And that you'll be manually installing FLTK and pyFLTK.


Before installing FLTK, be sure you have OpenGL and its development libraries installed on your system. On Ubuntu 8.10, using a DRI-compatible card, some of these packages are:

libgl1-mesa-dri libgl1-mesa-dev mesa-common-dev libglu1-mesa libglu1-mesa-dev freeglut3 freeglut3-dev

aptitude install any that you don't already have installed.


The current stable release as of Jan 2009 is 1.1.9. Building and installing (into /usr/local) should be a simple matter of running make and then sudo make install. See its README for more details.

You want to build and install your own because the stock FLTK that's available with Ubuntu 8.10 is not configured to use OpenGL.


First make sure you have the Python header files installed (aptitude install python-dev). After that, see the instructions in the pyFLTK distribution for instructions, which are basically:

python build
sudo python install

That installs the relevant python files into into /usr/lib/python2.5/site-packages. After installation, you should run the included demos to make sure everything is working right (instructions are in the INSTALL file).


Unable to edit the page? See the FrontPage for instructions.